Package org.eclipse.net4j.ws

# Interface IWSAcceptorManager

public interface IWSAcceptorManager
A singleton that manages all `WS acceptors` in the current JVM.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IWSAcceptorManager`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`IWSAcceptor`
`getAcceptor(String name)`
`org.eclipse.net4j.util.registry.IRegistry<String,IWSAcceptor>`
`getAcceptorRegistry()`

## Field Details

### INSTANCE

static final IWSAcceptorManager INSTANCE

## Method Details

### getAcceptorRegistry

org.eclipse.net4j.util.registry.IRegistry<String,IWSAcceptor> getAcceptorRegistry()

### getAcceptor

IWSAcceptor getAcceptor(String name)